Difference between revisions of "Hugin Compiling Fedora12"

From PanoTools.org Wiki
Jump to: navigation, search
(Added instructions for compiling the latest version of Hugin for Fedora 12)
 
Line 7: Line 7:
 
  gettext
 
  gettext
 
  libjpeg-devel
 
  libjpeg-devel
boost-devel
 
boost
 
 
  wxGTK-devel
 
  wxGTK-devel
 
  wxGTK
 
  wxGTK
Line 19: Line 17:
 
== CMake ==
 
== CMake ==
  
The version of CMake that comes with Fedora 12 is too old.  Get the latest version of CMake from http://www.cmake.org/cmake/resources/software.html
+
The version of CMake that comes with Fedora 12 is too old (it requires at least version 2.8).  Get the latest version of CMake from http://www.cmake.org/cmake/resources/software.html
  
 
  wget http://www.cmake.org/files/v2.8/cmake-2.8.5.tar.gz
 
  wget http://www.cmake.org/files/v2.8/cmake-2.8.5.tar.gz
Line 25: Line 23:
 
  cd cmake-2.8.5
 
  cd cmake-2.8.5
 
  ./configure --prefix=/usr/local
 
  ./configure --prefix=/usr/local
 +
make
 +
/bin/su -c 'make install'
 +
 +
== Boost ==
 +
 +
The version of the Boost libraries provided by Fedora 12 are too old (it requires at least version 1.40).  Go to http://sourceforge.net/projects/boost/files/boost/ to get the latest version.  Assuming that version 1.47.0 has been downloaded as boost_1_47_0.tar.bz2:
 +
 +
tar xvfj boost_1_47_0.tar.bz2
 +
cd boost_1_47_0
 +
./bootstrap.sh --prefix=/usr/local
 +
./b2
 +
/bin/su -c './bootstrap.sh
 +
 +
== libxmi ==
 +
 +
wget 'ftp://mirror.anl.gov/pub/gnu/libxmi/libxmi-1.2.tar.gz'
 +
tar xvfz libxmi-1.2.tar.gz
 +
cd libxmi-1.2
 +
./configure
 +
 +
If you get an error about "checking host system type... Invalid configuration" and it aborts with "configure: error: libtool configure failed", you can delete config.sub and sym-link a later automake's config.sub:
 +
 +
mv config.sub config.sub.old
 +
ln -s /usr/share/automake-1.11/config.sub .
 +
./configure
 +
 +
Then continue with the compiling:
 +
 
  make
 
  make
 
  /bin/su -c 'make install'
 
  /bin/su -c 'make install'

Revision as of 22:23, 23 July 2011

To build enblend, enfuse, libpano and hugin, follow the instructions below. Adapted from OpenSuse.

THESE INSTRUCTIONS ARE INCOMPLETE

Dependencies and prerequisites needed for Fedora 12

gettext
libjpeg-devel
wxGTK-devel
wxGTK
OpenEXR-devel
openEXR
libexiv2-devel
libtiff-devel
liblcms-devel

CMake

The version of CMake that comes with Fedora 12 is too old (it requires at least version 2.8). Get the latest version of CMake from http://www.cmake.org/cmake/resources/software.html

wget http://www.cmake.org/files/v2.8/cmake-2.8.5.tar.gz
tar xvfz cmake-2.8.5.tar.gz
cd cmake-2.8.5
./configure --prefix=/usr/local
make
/bin/su -c 'make install'

Boost

The version of the Boost libraries provided by Fedora 12 are too old (it requires at least version 1.40). Go to http://sourceforge.net/projects/boost/files/boost/ to get the latest version. Assuming that version 1.47.0 has been downloaded as boost_1_47_0.tar.bz2:

tar xvfj boost_1_47_0.tar.bz2
cd boost_1_47_0
./bootstrap.sh --prefix=/usr/local
./b2
/bin/su -c './bootstrap.sh 

libxmi

wget 'ftp://mirror.anl.gov/pub/gnu/libxmi/libxmi-1.2.tar.gz'
tar xvfz libxmi-1.2.tar.gz
cd libxmi-1.2
./configure

If you get an error about "checking host system type... Invalid configuration" and it aborts with "configure: error: libtool configure failed", you can delete config.sub and sym-link a later automake's config.sub:

mv config.sub config.sub.old
ln -s /usr/share/automake-1.11/config.sub .
./configure

Then continue with the compiling:

make
/bin/su -c 'make install'

Enblend and Enfuse (cvs)

cvs -d:pserver:anonymous@enblend.cvs.sourceforge.net:/cvsroot/enblend login
cvs -z3 -d:pserver:anonymous@enblend.cvs.sourceforge.net:/cvsroot/enblend co -P enblend
cd enblend
make -f Makefile.cvs
./configure
make
/bin/su -c 'make install'

libpano13

mkdir -p /usr/src/panotools/trunk
cd /usr/src/panotools/trunk
svn co https://panotools.svn.sourceforge.net/svnroot/panotools/trunk/libpano libpano13
cd libpano13
sh ./bootstrap
make
sudo make install install-data-am

Hugin

Checkout Hugin

mkdir /usr/src/hugin
cd /usr/src/hugin
svn co https://hugin.svn.sourceforge.net/svnroot/hugin/hugin/trunk hugin
  • if you need to build a specific SVN revision, e.g. 2765, you can slightly change the svn command to get it. e.g.:
svn co -r 2765 https://hugin.svn.sourceforge.net/svnroot/hugin/hugin/trunk/ hugin

Compile Hugin

mkdir /usr/src/hugin/BuildHugin
cd /usr/src/hugin/BuildHugin
ccmake /usr/src/hugin/hugin
cmake /usr/src/hugin/hugin
make && sudo make install

autopano-sift-C

Needed for automatic control point generation, restricted by software patents in some countries.

cd /usr/src
svn co https://hugin.svn.sourceforge.net/svnroot/hugin/autopano-sift-C/trunk/ autopano-sift-C
cd autopano-sift-C
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr/local ..
make
sudo make install

Status reports

Success Report: On OpenSuSE 10.2 ist's really straightforward.

  • clean SVN chechout (version as of 20070204)
  • followed the instructions in INSTALL_cmake.
  • The only non-standard thing is libpano13, (2.9.12 was used)
  • All other dependencies have been resolved using the standard (smart) repositories for OpenSuSE (wxGTK is 2.6.3.3).

Success Report: Confirmed working on OpenSuSE 10.3 and x86_64 architecture.

Success Report: On OpenSuSE 11.0 x86_64.

  • you will need to make sure you have all of the build tools. (examples: gcc+ automake)
  • Also had to install libXML2 for autopano

For OpenSuSE 11.1:

  • On x86_64 systems with libraries in /usr/lib64 or /usr/local/lib64 such as OpenSuSE, redhat or fedora you need to pass LIB_SUFFIX=64 to cmake